<?php
/**
 * Bowser Theme Functions
 *
 * This program is free software; you can redistribute it and/or modify it under the terms  
 * of the GNU General Public License version 2, as published by the Free Software Foundation.
 * You may NOT assume that you can use any other version of the GPL.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * @version 0.1.4
 * @since 0.1.0
 * @package BowserJr
 * @author David Chandra Purnama <david@shellcreeper.com>
 * @copyright Copyright (c) 2013, David Chandra Purnama
 * @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

/* Do theme setup on the 'after_setup_theme' hook. */
add_action( 'after_setup_theme', 'bowser_jr_theme_setup', 11 );

/**
 * Theme setup function. 
 * @since  0.1.0
 */
function bowser_jr_theme_setup(){

	/* updater args */
	$updater_args = array(
		'repo_uri'   => 'http://autohosted.com/',
		'repo_slug'  => 'bowser-jr',
		'dashboard'  => true,
	);

	/* add support for updater */
	add_theme_support( 'auto-hosted-child-theme-updater', $updater_args );
}

/* Load theme updater class */
require_once( trailingslashit( get_stylesheet_directory() ) . 'includes/child-theme-updater.php' );
new Bowser_Jr_Child_Theme_Updater;

